/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


#ifndef	__NSCENESCRIPTEVENT__
#define	__NSCENESCRIPTEVENT__


		#include "scene3d/scene_event_interface.h"


namespace GS {
	namespace S3D {

/*!
	@short	Scene script event.
	@author	Emmanuel Julien (ejulien@gsworks.fr)
*/
struct	SceneScriptEvent : public ISceneEvent
{
virtual	void	OnSetup(Scene *);
virtual	void	OnSetupDone(Scene *);
virtual	void	OnDelete(Scene *);

virtual	void	OnRender(Scene *);
virtual	void	OnRenderDone(Scene *);
virtual	void	OnRenderUser(Scene *);
virtual	void	OnRenderUIDone(Scene *);

virtual	void	OnReset(Scene *);
virtual	void	OnUpdate(Scene *);
virtual	void	OnPhysicStep(Scene *, bool step_taken);
};

	} // S3D
} // GS


#endif	// __NSCENESCRIPTEVENT__
